Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509842 - No configmap to select when adding environment variables for hooks
Summary: No configmap to select when adding environment variables for hooks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 07:52 UTC by shahan
Modified: 2017-11-28 08:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 14:27:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description shahan 2017-11-06 07:52:41 UTC
Description of problem:
 No config map to select  when adding environment variables for hooks
 
Version-Release number of selected component (if applicable):
 v3.7.0-0.191.0

How reproducible:
 Always

Steps to Reproduce:
1. oc new-app -f https://raw.githubusercontent.com/openshift/origin/master/examples/sample-app/application-template-stibuild.json
  oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/configmap/configmap.yaml
2.Goto dc/frontend edit page, add environment variables for Pre/Post hooks. Click Add Value from Config Map or Secret under the Pre/Post hooks part, input env name and try to select above config map in dropdown list
3.

Actual results:
 There is no config map part in the dropdown list.

Expected results:
 Should find the existing config map in the dropdown list

Additional info:

Comment 1 Jessica Forrester 2017-11-06 12:52:29 UTC
This bug would have existed in 3.6 as well.

Comment 2 Jessica Forrester 2017-11-06 13:05:15 UTC
Fix is in https://github.com/openshift/origin-web-console/pull/2459

Comment 3 Jessica Forrester 2017-11-06 16:17:10 UTC
Fix moved to https://github.com/openshift/origin-web-console/pull/2461

Comment 5 shahan 2017-11-07 03:32:58 UTC
Check this issue on OCP v3.7.0-0.196.0,  will find the config map part when adding env for hooks, and the environment from config map will show in hooks on the configuration tab, looks like "foo set to key special.how in config map special-config ", Change status to verified.


Note You need to log in before you can comment on or make changes to this bug.